Package org.apache.cxf.databinding.stax

## Class StaxDataBinding

- java.lang.Object
- - org.apache.cxf.databinding.AbstractDataBinding
  - - org.apache.cxf.databinding.AbstractInterceptorProvidingDataBinding
    - - org.apache.cxf.databinding.stax.StaxDataBinding

- All Implemented Interfaces:
    `DataBinding`, `InterceptorProvider`

      public class StaxDataBinding
      extends AbstractInterceptorProvidingDataBinding

  A simple databinding implementation which reads and writes Source objects. This will not work with the standard databinding interceptors.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `StaxDataBinding.XMLStreamDataReader` |
    `static class` | `StaxDataBinding.XMLStreamDataWriter` |

  - ### Field Summary

    - ### Fields inherited from class org.apache.cxf.databinding.AbstractInterceptorProvidingDataBinding

      `inFaultInterceptors, inInterceptors, outFaultInterceptors, outInterceptors`

    - ### Fields inherited from class org.apache.cxf.databinding.AbstractDataBinding

      `mtomEnabled, mtomThreshold`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StaxDataBinding()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T> DataReader<T>` | `createReader​(Class<T> cls)` |
    `<T> DataWriter<T>` | `createWriter​(Class<T> cls)` |
    `Class<?>[]` | `getSupportedReaderFormats()` |
    `Class<?>[]` | `getSupportedWriterFormats()` |
    `void` | `initialize​(Service service)` | Initialize the service info (i.e. type & element names, Schemas) with information from the databinding.

    - ### Methods inherited from class org.apache.cxf.databinding.AbstractInterceptorProvidingDataBinding

      `getInFaultInterceptors, getInInterceptors, getOutFaultInterceptors, getOutInterceptors`

    - ### Methods inherited from class org.apache.cxf.databinding.AbstractDataBinding

      `addSchemaDocument, addSchemaDocument, checkNamespaceMap, getBus, getContextualNamespaceMap, getDeclaredNamespaceMappings, getMtomThreshold, getNamespaceMap, getSchemas, isMtomEnabled, setBus, setContextualNamespaceMap, setMtomEnabled, setMtomThreshold, setNamespaceMap, setSchemas, updateSchemaLocation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StaxDataBinding

          public StaxDataBinding()

  - ### Method Detail

    - #### initialize

          public void initialize​(Service service)

      Description copied from interface: `DataBinding`
      Initialize the service info (i.e. type & element names, Schemas) with information from the databinding.

    - #### createReader

          public <T> DataReader<T> createReader​(Class<T> cls)

    - #### getSupportedReaderFormats

          public Class<?>[] getSupportedReaderFormats()

    - #### createWriter

          public <T> DataWriter<T> createWriter​(Class<T> cls)

    - #### getSupportedWriterFormats

          public Class<?>[] getSupportedWriterFormats()